> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set labels of a configuration

> Replaces the labels assigned to the configuration identified by the given type and identifier with the labels provided in the request body. Returns the updated list of labels along with action metadata.



## OpenAPI

````yaml /schema.json put /di/labels/{type}/{identifier}
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/labels/{type}/{identifier}:
    put:
      tags:
        - Di
      summary: Set labels of a configuration
      description: >-
        Replaces the labels assigned to the configuration identified by the
        given type and identifier with the labels provided in the request body.
        Returns the updated list of labels along with action metadata.
      operationId: updateDiLabels
      parameters:
        - name: type
          in: path
          description: Type identifier
          required: true
          schema:
            type: string
        - name: identifier
          in: path
          description: Configuration identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LabelsListRequest'
      responses:
        '200':
          description: A list of all labels
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LabelsListResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    LabelsListRequest:
      type: object
      properties:
        labels:
          type: array
          items:
            type: string
      required:
        - labels
    LabelsListResponse:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/LabelsList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    LabelsList:
      type: array
      items:
        $ref: '#/components/schemas/Label'
    Label:
      type: object
      properties:
        name:
          type: string
          title: Name
          description: Name
          maxLength: 255
      required:
        - name

````